Đến nội dung


Hình ảnh
- - - - -

Chuyển Text Att Về Text


  • Please log in to reply
6 replies to this topic

#1 hung1608

hung1608

    biết lệnh rotate

  • Members
  • PipPipPip
  • 134 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 12 May 2016 - 10:11 PM

Mình có bản vẽ có quá nhiều text ATT mình muốn chuyển qua te xt thường, bạn có thể viết minh 1 lisp làm điều này được không


  • 0

#2 phongtran86

phongtran86

    biết lệnh offset

  • Members
  • PipPipPip
  • 177 Bài viết
Điểm đánh giá: 22 (tàm tạm)

Đã gửi 12 May 2016 - 10:33 PM

Mình có bản vẽ có quá nhiều text ATT mình muốn chuyển qua te xt thường, bạn có thể viết minh 1 lisp làm điều này được không

trong phần expresstool có phần block có lệnh này nhé.Lệnh: burst


  • 0

#3 hung1608

hung1608

    biết lệnh rotate

  • Members
  • PipPipPip
  • 134 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 13 May 2016 - 12:24 AM

Lệnh Burst là chuyển block ATT về block thường

Chứ nó k chuyển được text ATT thanh text


  • 0

#4 quansla

quansla

    biết lệnh xclip

  • Members
  • PipPipPipPipPipPipPip
  • 642 Bài viết
Điểm đánh giá: 224 (khá)

Đã gửi 13 May 2016 - 10:55 AM

Lệnh Burst là chuyển block ATT về block thường
Chứ nó k chuyển được text ATT thanh text

Mình vẫn dùng cái này này

(defun c:tta (/ en sset ostr str osty sty olay lay ospt
spt ojpt jpt otxht txht otxwd txwd orot rot
oaln1 aln1 olan2 aln2 angd stytbl cursty curht
curwd curobl curupdn curlastht curfont just
newattrib entjunk junkpoint origcol col ocol)

(command "undo" "begin")
(SETVAR "CMDECHO" 0)
(graphscr)


;(prompt "\nSelect text object to change.")
(setq sset (entsel "\nSelect text object to change."))
(if (null sset)
(progn
(princ "\nNo objects selected.")
(exit)
)
)
(setq en (entget (car sset))
ostr (assoc 1 en)
str (cdr ostr)
osty (assoc 7 en)
sty (cdr osty)
olay (assoc 8 en)
lay (cdr olay)
ospt (assoc 10 en)
spt (cdr ospt)
ojpt (assoc 11 en)
jpt (cdr ojpt)
otxht (assoc 40 en)
txht (cdr otxht)
otxwd (assoc 41 en)
txwd (cdr otxwd)
orot (assoc 50 en)
rot (cdr orot)
ocol (assoc 62 en)
col (cdr ocol)
oaln1 (assoc 72 en)
aln1 (cdr oaln1)
oaln2 (assoc 73 en)
aln2 (cdr oaln2)
angd (/ (* rot 180) pi)
) ;end_setq en
(setq stytbl (tblsearch "style" sty)
cursty (cdr (assoc 2 stytbl))
curht (cdr (assoc 40 stytbl))
curwd (cdr (assoc 41 stytbl))
curobl (cdr (assoc 50 stytbl))
curupdn (cdr (assoc 71 stytbl))
curlastht (cdr (assoc 42 stytbl))
curfont (cdr (assoc 3 stytbl))
)


(command "-style" sty curfont 0 txwd 0 "n" "n" (if (> (getvar "cmdactive") 0)(command "n")))


(command "erase" sset "")

(cond
((= aln1 5)(setq horiz-just "fit"))
((= aln1 3)(setq horiz-just "aligned"))
((= aln1 4)(setq horiz-just "M"))
((= aln1 2)(setq horiz-just "R"))
((= aln1 1)(setq horiz-just "C"))
((= aln1 0)(setq horiz-just "L"))
)

(cond
((= aln2 0)(setq vert-just ""))
((= aln2 1)(setq vert-just "B"))
((= aln2 2)(setq vert-just "M"))
((= aln2 3)(setq vert-just "T"))
)

(setq just (strcat vert-just horiz-just))

(cond
((= just "aligned")(command "-attdef" "" str str str "S" sty "j" "aligned" spt jpt))
((= just "fit")(command "-attdef" "" str str str "S" sty "j" "fit" spt jpt txht))
((= just "L")(command "-attdef" "" str str str "S" sty spt txht (angtos rot)))
((or (/= just "aligned")(/= just "fit")(/= just "L"))(command "-attdef" "" str str str "S" sty "j" just spt txht (angtos rot)))
)


(setq newattrib (entlast))
(setq entjunk (entget newattrib))
(setq junkpoint (cdr (assoc 10 entjunk)))
(command "move" newattrib "" junkpoint spt)

(cond
((= col nil)(setq origcol "bylayer"))
((= col 0) (setq origcol "byblock"))
((or (/= col nil)(/= col 0))(setq origcol col))
)

(command "change" newattrib "" "p" "c" origcol "layer" lay "")

(command "-style" sty curfont curht curwd curobl "n" "n" (if (> (getvar "cmdactive") 0)(command "n")))


(command "undo" "end")
)


  • 1

#5 Thuan Tran

Thuan Tran

    Chưa sử dụng CAD

  • Members
  • Pip
  • 1 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 13 May 2016 - 11:08 AM

sẵn tiện cho mình hỏi làm sao block 1 đối tượng để đối tượng đó chồng lên nét hatch vật liệu (như block lavabo chồng lên nét hatch vật liệu gạch trong wc ak)


  • 0

#6 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 13 May 2016 - 11:14 AM

sẵn tiện cho mình hỏi làm sao block 1 đối tượng để đối tượng đó chồng lên nét hatch vật liệu (như block lavabo chồng lên nét hatch vật liệu gạch trong wc ak)

Bạn tìm hiểu lệnh Wipeout.


  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#7 minhtanx2

minhtanx2

    biết lệnh stretch

  • Members
  • PipPipPip
  • 169 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 13 May 2016 - 04:59 PM

sẵn tiện cho mình hỏi làm sao block 1 đối tượng để đối tượng đó chồng lên nét hatch vật liệu (như block lavabo chồng lên nét hatch vật liệu gạch trong wc ak)

mình bổ sung thêm là nên vào môi trg Block editor của block đó, dùng Wipeout. SAu đó nhớ Save lại. lần sau tha hồ mang ra chèn không giờ bị nét hatch đè vào nữa. xử lí triệt để luôn


  • 0

Khi bạn tán tỉnh một cô gái đẹp, một giờ đồng hồ chẳng qua như một giây. Khi bạn ngồi trên một hòn than nóng bỏng, một giây như thể một giờ. Đó chính là tính tương đối. (Albert Einstein)